List deposits

Query a list of deposits given a primary filter of platform or merchant id, then additional optional search criteria.

Query Params
string

The unique deposit identifier.

Prefix is "dep" in production and "sbx_dep" in sandbox.

string

The unique platform identifier.

Prefix is "plt" in production and "sbx_plt" in sandbox.

string

The unique merchant identifier.

Prefix is "mid" in production and "sbx_mid" in sandbox.

status
array of strings

One or more deposit statuses to filter by. Provide parameter multiple times to filter by multiple deposit status types.

PROCESSING SUCCEEDED IN_REVIEW FAILED

status
deposit_type
array of strings

Deposit type to filter by. Provide parameter multiple times to filter by multiple deposit types.

  • BILLING: deposit for the payment processing fees, applicable only for merchants on gross billing.
  • FUNDING: deposit for the payment volume, if the merchant is on net billing, then the FUNDING deposit will be net any payment processing fees.
deposit_type
string

Filter by metadata stored on the entity by passing a map of key-value pairs to filter on. The key should be valid JSONPath to a corresponding metadata key.

For example, an entity created with the following metadata

"account": {
  "id": "acct_123"
}

could have the following metadata filter to find entities with the metadata account id:

?metadata[$.account.id]=acct_123
date-time

Created on or after in UTC RFC 3339 format.

date-time

Created on or before in UTC RFC 3339 format.

string
enum

Optional value by which to sort the result set. Default sort by is created_at.

Allowed:
string
enum

Order in which to return the sorted results; ascending or descending. Default sort order is descending.

Allowed:
number
≤ 1000
Defaults to 1000

The maximum number of results to return.

number
≥ 0
Defaults to 0

The offset of the first result to return; zero-based.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json